/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package peaconnector;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 *
 * @author Csubák Péter
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface SEAnnot {

    public Class type() default SchemaElement.class;
    public String schemaName();
    public String name();
    public String elementsName() default "";
    public Class elementsType() default Object.class;
    public String keysName() default "";
    public Class keysType() default Object.class;
    public String valuesName() default "";
    public Class valuesType() default Object.class;

}
